<script setup>
import { computed } from "vue";
import {
  mdiTrendingDown,
  mdiTrendingUp,
  mdiTrendingNeutral,
  mdiDotsVertical,
  mdiPhone,
} from "@mdi/js";
import CardComponent from "@/components/CardComponent.vue";
import StaffComponent from "@/components/StaffComponent.vue";
import Level from "@/components/Level.vue";
import Pill from "@/components/Pill.vue";
import UserAvatar from "@/components/UserAvatar.vue";

const props = defineProps({
  name: {
    type: String,
    required: true,
  },
  login: {
    type: String,
    required: true,
  },
  id: {
    type: String,
    required: true,
  },
  number: {
    type: String,
    required: true,
  },
  date: {
    type: String,
    required: true,
  },
  progress: {
    type: Number,
    default: 0,
  },
  text: {
    type: String,
    default: null,
  },
  type: {
    type: String,
    default: null,
  },
});

const pillType = computed(() => {
  if (props.type) {
    return props.type;
  }

  if (props.progress) {
    if (props.progress >= 60) {
      return "success";
    }
    if (props.progress >= 40) {
      return "warning";
    }

    return "danger";
  }

  return "info";
});

const pillIcon = computed(() => {
  return {
    success: mdiTrendingUp,
    warning: mdiTrendingNeutral,
    danger: mdiTrendingDown,
    info: null,
  }[pillType.value];
});

const pillText = computed(() => props.text ?? `${props.progress}%`);
</script>

<template>
  <card-component class="mb-6 last:mb-0 bg-white rounded-lg" hoverable>
    <level class="flex justify-between bg-pink-150 px-3 py-1 rounded-t-lg">
      <level type="justify-start">
        <user-avatar class="w-12 h-12 md:mr-6" :username="name" />
        <div class="text-center md:text-left">
          <h4 class="text-base">
            {{ name }}
          </h4>
          <p class="text-gray-500 dark:text-gray-400">
            {{ id }}
          </p>
        </div>
      </level>
      <div class="-mr-4">
        <pill
          class="border-0 cursor-pointer"
          :icon="mdiDotsVertical"
          to="/staff-detail"
        /><br />
        <pill
          class="bg-white text-green-600 rounded-full text-xl cursor-pointer"
          :icon="mdiPhone"
        />
      </div>
    </level>
    <div
      class="grid grid-cols-1 xl:grid-cols-3 gap-2 font-semibold mt-2 bg-white text-sm rounded-b-lg p-4"
    >
      <div class="text-black-250">Email</div>
      <div class="text-gray-400 col-span-2">{{ email }}</div>
      <div class="text-black-250">Phone No.</div>
      <div class="text-gray-400 col-span-2">{{ number }}</div>
      <div class="text-black-250">Profession</div>
      <div class="text-gray-400 col-span-2">{{ name }}</div>
      <div class="text-black-250">Total Patients</div>
      <div class="text-gray-400 col-span-2">{{ name }}</div>
      <div class="text-black-250">Initial</div>
      <div class="text-gray-400">{{ name }}</div>
      <div class="text-green-500 justify-end flex">On Duty</div>
    </div>
  </card-component>
</template>
